Skip to main content
GET
/
api
/
hyperliquid
/
accounts
/
{account_id}
/
rate-limit
cURL
curl --request GET \
  --url https://api.production.hyperoru.com/api/hyperliquid/accounts/{account_id}/rate-limit \
  --header 'Authorization: Bearer <token>'
{
  "environment": "<string>",
  "exchange": "<string>",
  "requests_remaining": 123,
  "reset_at": "<string>",
  "window_seconds": 123
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Path Parameters

account_id
integer<int32>
required

Account ID

Response

Rate-limit state

Market rate-limit / API health summary.

environment
string
required
exchange
string
required
requests_remaining
integer<int64> | null
reset_at
string | null
window_seconds
integer<int64> | null